Bug 450197 - fast-user-switching crashes the server
fast-user-switching crashes the server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 16:31 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log from the first server started (which crashed) (26.18 KB, text/plain)
2008-06-05 16:31 EDT, Bill Nottingham
no flags Details
X log from the second server started (22.42 KB, text/plain)
2008-06-05 16:32 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-06-05 16:31:45 EDT
Description of problem:

Something to do with DRI. Will attach the server logs.

(II) AIGLX: Suspending AIGLX clients for VT switch

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479fe5]
1: /lib64/libc.so.6 [0x3ce24322a0]
2: /usr/lib64/xorg/modules/extensions//libdri.so(DRILock+0x47) [0x7b838a7]
3: /usr/lib64/xorg/modules/drivers//intel_master_drv.so [0x6549a77]
4: /usr/bin/Xorg(AbortDDX+0x8d) [0x460acd]
5: /usr/bin/Xorg(AbortServer+0x18) [0x4f6048]
6: /usr/bin/Xorg(FatalError+0xd5) [0x4f6715]
7: /usr/lib64/xorg/modules/drivers//intel_master_drv.so(I830WaitLpRing+0x1c1)
[0x653fe51]
8: /usr/lib64/xorg/modules/drivers//intel_master_drv.so(I830Sync+0x1b3) [0x6540223]
9: /usr/lib64/xorg/modules//libexa.so(exaWaitSync+0x8c) [0x3bef36c]
10: /usr/lib64/xorg/modules//libexa.so(ExaDoPrepareAccess+0xa5) [0x3bf0935]
11: /usr/lib64/xorg/modules//libexa.so [0x3bf1c68]
12: /usr/lib64/xorg/modules//libexa.so(exaShmPutImage+0x165) [0x3bf26e5]
13: /usr/bin/Xorg [0x506c87]
14: /usr/bin/Xorg [0x5080b5]
15: /usr/bin/Xorg(Dispatch+0x364) [0x446394]
16: /usr/bin/Xorg(main+0x45d) [0x42c87d]
17: /lib64/libc.so.6(__libc_start_main+0xfa) [0x3ce241e32a]
18: /usr/bin/Xorg(FontFileCompleteXLFD+0x279) [0x42bc59]

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.2.1-24.fc9.x86_64
mesa-libGL-7.1-0.31.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64
gdm-user-switch-applet-2.22.0-5.fc9.x86_64

How reproducible:

Every time. Reproduced on both i965 and i945.

Steps to Reproduce:
1. Log in
2. f-u-s to another user
3. Attempt to f-u-s back to the first user
  
Actual results:

The first X server crashes. Display is trashed, HW state is fubar, you can no
longer start any X servers without rebooting.

Expected results:

A working switch.
Comment 1 Bill Nottingham 2008-06-05 16:31:45 EDT
Created attachment 308483 [details]
X log from the first server started (which crashed)
Comment 2 Bill Nottingham 2008-06-05 16:32:16 EDT
Created attachment 308484 [details]
X log from the second server started
Comment 3 Tim Wegener 2009-02-16 08:47:50 EST
This bug looks similar:
https://bugzilla.redhat.com/show_bug.cgi?id=482997
Comment 4 Christopher Beland 2009-03-10 16:14:52 EDT
Just a note that there are now several similar reports with different hardware: Bug 482997, Bug 484516, Bug 450197, and Bug 439294.
Comment 5 Bug Zapper 2009-06-09 21:25:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bill Nottingham 2009-06-10 11:35:22 EDT
Now no longer crashes.

Note You need to log in before you can comment on or make changes to this bug.